aboutsummaryrefslogtreecommitdiff
path: root/ebuild/builtin_merge.bash
diff options
context:
space:
mode:
Diffstat (limited to 'ebuild/builtin_merge.bash')
-rw-r--r--ebuild/builtin_merge.bash7
1 files changed, 6 insertions, 1 deletions
diff --git a/ebuild/builtin_merge.bash b/ebuild/builtin_merge.bash
index f7751c7..19104fd 100644
--- a/ebuild/builtin_merge.bash
+++ b/ebuild/builtin_merge.bash
@@ -54,9 +54,14 @@ builtin_merge()
done
[[ -f "${EBUILD}" ]] && cp "${EBUILD}" ${dbdir}/
+ local x
+ for i in ${INHERITED} ; do
+ cp "${ECLASSDIR}/${i}".eclass "${dbdir}/" || die "save eclass ${i} failed"
+ done
+
env | bzip2 > ${dbdir}/environment.bz2
- touch ${dbdir}/CONTENTS || die "pkg db write CONTENTS failed"
+ > ${dbdir}/CONTENTS || die "pkg db write CONTENTS failed"
if [[ -n "${D}" ]] && [[ -d "${D}" ]] ; then
local f ff
find "${D}/" | \